<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>PropertyListConfiguration (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PropertyListConfiguration (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PropertyListConfiguration.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/plist/ParseException.html" title="class in org.apache.commons.configuration2.plist"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/plist/PropertyListParserConstants.html" title="interface in org.apache.commons.configuration2.plist"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/plist/PropertyListConfiguration.html" target="_top">Frames</a></li>
<li><a href="PropertyListConfiguration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.apache.commons.configuration2.BaseHierarchicalConfiguration">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.plist</div>
<h2 title="Class PropertyListConfiguration" class="title">Class PropertyListConfiguration</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/apache/commons/configuration2/event/BaseEventSource.html" title="class in org.apache.commons.configuration2.event">org.apache.commons.configuration2.event.BaseEventSource</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2">org.apache.commons.configuration2.AbstractConfiguration</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html" title="class in org.apache.commons.configuration2">org.apache.commons.configuration2.AbstractHierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html" title="class in org.apache.commons.configuration2">org.apache.commons.configuration2.BaseHierarchicalConfiguration</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.plist.PropertyListConfiguration</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</a>, <a href="../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>, <a href="../../../../../org/apache/commons/configuration2/event/EventSource.html" title="interface in org.apache.commons.configuration2.event">EventSource</a>, <a href="../../../../../org/apache/commons/configuration2/FileBasedConfiguration.html" title="interface in org.apache.commons.configuration2">FileBasedConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html" title="interface in org.apache.commons.configuration2">ImmutableConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableHierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">ImmutableHierarchicalConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/io/FileBased.html" title="interface in org.apache.commons.configuration2.io">FileBased</a>, <a href="../../../../../org/apache/commons/configuration2/sync/SynchronizerSupport.html" title="interface in org.apache.commons.configuration2.sync">SynchronizerSupport</a>, <a href="../../../../../org/apache/commons/configuration2/tree/InMemoryNodeModelSupport.html" title="interface in org.apache.commons.configuration2.tree">InMemoryNodeModelSupport</a>, <a href="../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="interface in org.apache.commons.configuration2.tree">NodeKeyResolver</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;, <a href="../../../../../org/apache/commons/configuration2/tree/NodeModelSupport.html" title="interface in org.apache.commons.configuration2.tree">NodeModelSupport</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">PropertyListConfiguration</span>
extends <a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html" title="class in org.apache.commons.configuration2">BaseHierarchicalConfiguration</a>
implements <a href="../../../../../org/apache/commons/configuration2/FileBasedConfiguration.html" title="interface in org.apache.commons.configuration2">FileBasedConfiguration</a></pre>
<div class="block">NeXT / OpenStep style configuration. This configuration can read and write
 ASCII plist files. It supports the GNUStep extension to specify date objects.
 <p>
 References:
 <ul>
   <li><a
 href="http://developer.apple.com/documentation/Cocoa/Conceptual/PropertyLists/OldStylePlists/OldStylePLists.html">
 Apple Documentation - Old-Style ASCII Property Lists</a></li>
   <li><a
 href="http://www.gnustep.org/resources/documentation/Developer/Base/Reference/NSPropertyList.html">
 GNUStep Documentation</a></li>
 </ul>

 <p>Example:</p>
 <pre>
 {
     foo = "bar";

     array = ( value1, value2, value3 );

     data = &lt;4f3e0145ab&gt;;

     date = &lt;*D2007-05-05 20:05:00 +0100&gt;;

     nested =
     {
         key1 = value1;
         key2 = value;
         nested =
         {
             foo = bar
         }
     }
 }
 </pre></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.2</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: PropertyListConfiguration.java 1790899 2017-04-10 21:56:46Z ggregory $</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Emmanuel Bourg</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.apache.commons.configuration2.BaseHierarchicalConfiguration">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.apache.commons.configuration2.<a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html" title="class in org.apache.commons.configuration2">BaseHierarchicalConfiguration</a></h3>
<code><a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.BuilderVisitor.html" title="class in org.apache.commons.configuration2">BaseHierarchicalConfiguration.BuilderVisitor</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/PropertyListConfiguration.html#PropertyListConfiguration--">PropertyListConfiguration</a></span>()</code>
<div class="block">Creates an empty PropertyListConfiguration object which can be
 used to synthesize a new plist file by adding values and
 then saving().</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/PropertyListConfiguration.html#PropertyListConfiguration-org.apache.commons.configuration2.HierarchicalConfiguration-">PropertyListConfiguration</a></span>(<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&nbsp;c)</code>
<div class="block">Creates a new instance of <code>PropertyListConfiguration</code> and
 copies the content of the specified configuration into this object.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/PropertyListConfiguration.html#addPropertyInternal-java.lang.String-java.lang.Object-">addPropertyInternal</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
                   <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</code>
<div class="block">Adds the property with the specified key.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/PropertyListConfiguration.html#read-java.io.Reader-">read</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;in)</code>
<div class="block">Reads the content of this object from the given reader.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/PropertyListConfiguration.html#setPropertyInternal-java.lang.String-java.lang.Object-">setPropertyInternal</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
                   <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</code>
<div class="block">Sets the value of the specified property.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/PropertyListConfiguration.html#write-java.io.Writer-">write</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Writer.html?is-external=true" title="class or interface in java.io">Writer</a>&nbsp;out)</code>
<div class="block">Writes the content of this object to the given writer.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.BaseHierarchicalConfiguration">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.configuration2.<a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html" title="class in org.apache.commons.configuration2">BaseHierarchicalConfiguration</a></h3>
<code><a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#childConfigurationsAt-java.lang.String-">childConfigurationsAt</a>, <a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#childConfigurationsAt-java.lang.String-boolean-">childConfigurationsAt</a>, <a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#cloneNodeModel--">cloneNodeModel</a>, <a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#configurationAt-java.lang.String-">configurationAt</a>, <a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#configurationAt-java.lang.String-boolean-">configurationAt</a>, <a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#configurationsAt-java.lang.String-">configurationsAt</a>, <a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#configurationsAt-java.lang.String-boolean-">configurationsAt</a>, <a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#createSubConfigurationForTrackedNode-org.apache.commons.configuration2.tree.NodeSelector-org.apache.commons.configuration2.tree.InMemoryNodeModelSupport-">createSubConfigurationForTrackedNode</a>, <a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#getNodeModel--">getNodeModel</a>, <a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#getSubConfigurationNodeSelector-java.lang.String-">getSubConfigurationNodeSelector</a>, <a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#getSubConfigurationParentModel--">getSubConfigurationParentModel</a>, <a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#immutableChildConfigurationsAt-java.lang.String-">immutableChildConfigurationsAt</a>, <a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#immutableConfigurationAt-java.lang.String-">immutableConfigurationAt</a>, <a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#immutableConfigurationAt-java.lang.String-boolean-">immutableConfigurationAt</a>, <a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#immutableConfigurationsAt-java.lang.String-">immutableConfigurationsAt</a>, <a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#initSubConfigurationForThisParent-org.apache.commons.configuration2.SubnodeConfiguration-">initSubConfigurationForThisParent</a>, <a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#interpolatedConfiguration--">interpolatedConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#subnodeConfigurationChanged-org.apache.commons.configuration2.event.ConfigurationEvent-">subnodeConfigurationChanged</a>, <a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html#subset-java.lang.String-">subset</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.AbstractHierarchicalConfiguration">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.configuration2.<a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html" title="class in org.apache.commons.configuration2">AbstractHierarchicalConfiguration</a></h3>
<code><a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#addNodes-java.lang.String-java.util.Collection-">addNodes</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#addNodesInternal-java.lang.String-java.util.Collection-">addNodesInternal</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#addPropertyDirect-java.lang.String-java.lang.Object-">addPropertyDirect</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#clearInternal--">clearInternal</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#clearPropertyDirect-java.lang.String-">clearPropertyDirect</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#clearTree-java.lang.String-">clearTree</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#clearTreeInternal-java.lang.String-">clearTreeInternal</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#clone--">clone</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#containsKeyInternal-java.lang.String-">containsKeyInternal</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#fetchNodeList-java.lang.String-">fetchNodeList</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#getExpressionEngine--">getExpressionEngine</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#getKeysInternal--">getKeysInternal</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#getKeysInternal-java.lang.String-">getKeysInternal</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#getMaxIndex-java.lang.String-">getMaxIndex</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#getMaxIndexInternal-java.lang.String-">getMaxIndexInternal</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#getModel--">getModel</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#getPropertyInternal-java.lang.String-">getPropertyInternal</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#getRootElementName--">getRootElementName</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#getRootElementNameInternal--">getRootElementNameInternal</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#isEmptyInternal--">isEmptyInternal</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#nodeDefined-T-">nodeDefined</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#nodeKey-T-java.util.Map-org.apache.commons.configuration2.tree.NodeHandler-">nodeKey</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#resolveAddKey-T-java.lang.String-org.apache.commons.configuration2.tree.NodeHandler-">resolveAddKey</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#resolveKey-T-java.lang.String-org.apache.commons.configuration2.tree.NodeHandler-">resolveKey</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#resolveNodeKey-T-java.lang.String-org.apache.commons.configuration2.tree.NodeHandler-">resolveNodeKey</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#resolveUpdateKey-T-java.lang.String-java.lang.Object-org.apache.commons.configuration2.tree.NodeHandler-">resolveUpdateKey</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#setExpressionEngine-org.apache.commons.configuration2.tree.ExpressionEngine-">setExpressionEngine</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#sizeInternal--">sizeInternal</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#toString--">toString</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.AbstractConfiguration">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.configuration2.<a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2">AbstractConfiguration</a></h3>
<code><a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#addErrorLogListener--">addErrorLogListener</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#addProperty-java.lang.String-java.lang.Object-">addProperty</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#append-org.apache.commons.configuration2.Configuration-">append</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#beginRead-boolean-">beginRead</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#beginWrite-boolean-">beginWrite</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#clear--">clear</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#clearProperty-java.lang.String-">clearProperty</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#cloneInterpolator-org.apache.commons.configuration2.AbstractConfiguration-">cloneInterpolator</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#containsKey-java.lang.String-">containsKey</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#copy-org.apache.commons.configuration2.Configuration-">copy</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#endRead--">endRead</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#endWrite--">endWrite</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#get-java.lang.Class-java.lang.String-">get</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#get-java.lang.Class-java.lang.String-T-">get</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getArray-java.lang.Class-java.lang.String-">getArray</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getArray-java.lang.Class-java.lang.String-java.lang.Object-">getArray</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getBigDecimal-java.lang.String-">getBigDecimal</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getBigDecimal-java.lang.String-java.math.BigDecimal-">getBigDecimal</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getBigInteger-java.lang.String-">getBigInteger</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getBigInteger-java.lang.String-java.math.BigInteger-">getBigInteger</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getBoolean-java.lang.String-">getBoolean</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getBoolean-java.lang.String-boolean-">getBoolean</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getBoolean-java.lang.String-java.lang.Boolean-">getBoolean</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getByte-java.lang.String-">getByte</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getByte-java.lang.String-byte-">getByte</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getByte-java.lang.String-java.lang.Byte-">getByte</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getCollection-java.lang.Class-java.lang.String-java.util.Collection-">getCollection</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getCollection-java.lang.Class-java.lang.String-java.util.Collection-java.util.Collection-">getCollection</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getConfigurationDecoder--">getConfigurationDecoder</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getConversionHandler--">getConversionHandler</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getDouble-java.lang.String-">getDouble</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getDouble-java.lang.String-double-">getDouble</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getDouble-java.lang.String-java.lang.Double-">getDouble</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getEncodedString-java.lang.String-">getEncodedString</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getEncodedString-java.lang.String-org.apache.commons.configuration2.ConfigurationDecoder-">getEncodedString</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getFloat-java.lang.String-">getFloat</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getFloat-java.lang.String-float-">getFloat</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getFloat-java.lang.String-java.lang.Float-">getFloat</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getInt-java.lang.String-">getInt</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getInt-java.lang.String-int-">getInt</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getInteger-java.lang.String-java.lang.Integer-">getInteger</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getInterpolator--">getInterpolator</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getKeys--">getKeys</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getKeys-java.lang.String-">getKeys</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getList-java.lang.Class-java.lang.String-">getList</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getList-java.lang.Class-java.lang.String-java.util.List-">getList</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getList-java.lang.String-">getList</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getList-java.lang.String-java.util.List-">getList</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getListDelimiterHandler--">getListDelimiterHandler</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getLogger--">getLogger</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getLong-java.lang.String-">getLong</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getLong-java.lang.String-long-">getLong</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getLong-java.lang.String-java.lang.Long-">getLong</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getProperties-java.lang.String-">getProperties</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getProperties-java.lang.String-java.util.Properties-">getProperties</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getProperty-java.lang.String-">getProperty</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getShort-java.lang.String-">getShort</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getShort-java.lang.String-short-">getShort</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getShort-java.lang.String-java.lang.Short-">getShort</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getString-java.lang.String-">getString</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getString-java.lang.String-java.lang.String-">getString</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getStringArray-java.lang.String-">getStringArray</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getSynchronizer--">getSynchronizer</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#immutableSubset-java.lang.String-">immutableSubset</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#initLogger-org.apache.commons.configuration2.io.ConfigurationLogger-">initLogger</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#installInterpolator-java.util.Map-java.util.Collection-">installInterpolator</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#interpolate-java.lang.Object-">interpolate</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#interpolate-java.lang.String-">interpolate</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#isEmpty--">isEmpty</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#isScalarValue-java.lang.Object-">isScalarValue</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#isThrowExceptionOnMissing--">isThrowExceptionOnMissing</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#lock-org.apache.commons.configuration2.sync.LockMode-">lock</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setConfigurationDecoder-org.apache.commons.configuration2.ConfigurationDecoder-">setConfigurationDecoder</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setConversionHandler-org.apache.commons.configuration2.convert.ConversionHandler-">setConversionHandler</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setDefaultLookups-java.util.Collection-">setDefaultLookups</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">setInterpolator</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setListDelimiterHandler-org.apache.commons.configuration2.convert.ListDelimiterHandler-">setListDelimiterHandler</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setLogger-org.apache.commons.configuration2.io.ConfigurationLogger-">setLogger</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setParentInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">setParentInterpolator</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setPrefixLookups-java.util.Map-">setPrefixLookups</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setProperty-java.lang.String-java.lang.Object-">setProperty</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setSynchronizer-org.apache.commons.configuration2.sync.Synchronizer-">setSynchronizer</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setThrowExceptionOnMissing-boolean-">setThrowExceptionOnMissing</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#size--">size</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#unlock-org.apache.commons.configuration2.sync.LockMode-">unlock</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.event.BaseEventSource">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.configuration2.event.<a href="../../../../../org/apache/commons/configuration2/event/BaseEventSource.html" title="class in org.apache.commons.configuration2.event">BaseEventSource</a></h3>
<code><a href="../../../../../org/apache/commons/configuration2/event/BaseEventSource.html#addEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">addEventListener</a>, <a href="../../../../../org/apache/commons/configuration2/event/BaseEventSource.html#clearErrorListeners--">clearErrorListeners</a>, <a href="../../../../../org/apache/commons/configuration2/event/BaseEventSource.html#clearEventListeners--">clearEventListeners</a>, <a href="../../../../../org/apache/commons/configuration2/event/BaseEventSource.html#copyEventListeners-org.apache.commons.configuration2.event.BaseEventSource-">copyEventListeners</a>, <a href="../../../../../org/apache/commons/configuration2/event/BaseEventSource.html#createErrorEvent-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventType-java.lang.String-java.lang.Object-java.lang.Throwable-">createErrorEvent</a>, <a href="../../../../../org/apache/commons/configuration2/event/BaseEventSource.html#createEvent-org.apache.commons.configuration2.event.EventType-java.lang.String-java.lang.Object-boolean-">createEvent</a>, <a href="../../../../../org/apache/commons/configuration2/event/BaseEventSource.html#fireError-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventType-java.lang.String-java.lang.Object-java.lang.Throwable-">fireError</a>, <a href="../../../../../org/apache/commons/configuration2/event/BaseEventSource.html#fireEvent-org.apache.commons.configuration2.event.EventType-java.lang.String-java.lang.Object-boolean-">fireEvent</a>, <a href="../../../../../org/apache/commons/configuration2/event/BaseEventSource.html#getEventListenerRegistrations--">getEventListenerRegistrations</a>, <a href="../../../../../org/apache/commons/configuration2/event/BaseEventSource.html#getEventListeners-org.apache.commons.configuration2.event.EventType-">getEventListeners</a>, <a href="../../../../../org/apache/commons/configuration2/event/BaseEventSource.html#isDetailEvents--">isDetailEvents</a>, <a href="../../../../../org/apache/commons/configuration2/event/BaseEventSource.html#removeEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">removeEventListener</a>, <a href="../../../../../org/apache/commons/configuration2/event/BaseEventSource.html#setDetailEvents-boolean-">setDetailEvents</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.Configuration">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.apache.commons.configuration2.<a href="../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a></h3>
<code><a href="../../../../../org/apache/commons/configuration2/Configuration.html#addProperty-java.lang.String-java.lang.Object-">addProperty</a>, <a href="../../../../../org/apache/commons/configuration2/Configuration.html#clear--">clear</a>, <a href="../../../../../org/apache/commons/configuration2/Configuration.html#clearProperty-java.lang.String-">clearProperty</a>, <a href="../../../../../org/apache/commons/configuration2/Configuration.html#getInterpolator--">getInterpolator</a>, <a href="../../../../../org/apache/commons/configuration2/Configuration.html#installInterpolator-java.util.Map-java.util.Collection-">installInterpolator</a>, <a href="../../../../../org/apache/commons/configuration2/Configuration.html#setInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">setInterpolator</a>, <a href="../../../../../org/apache/commons/configuration2/Configuration.html#setProperty-java.lang.String-java.lang.Object-">setProperty</a>, <a href="../../../../../org/apache/commons/configuration2/Configuration.html#subset-java.lang.String-">subset</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.ImmutableConfiguration">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.apache.commons.configuration2.<a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html" title="interface in org.apache.commons.configuration2">ImmutableConfiguration</a></h3>
<code><a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#containsKey-java.lang.String-">containsKey</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#get-java.lang.Class-java.lang.String-">get</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#get-java.lang.Class-java.lang.String-T-">get</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getArray-java.lang.Class-java.lang.String-">getArray</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getArray-java.lang.Class-java.lang.String-java.lang.Object-">getArray</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getBigDecimal-java.lang.String-">getBigDecimal</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getBigDecimal-java.lang.String-java.math.BigDecimal-">getBigDecimal</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getBigInteger-java.lang.String-">getBigInteger</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getBigInteger-java.lang.String-java.math.BigInteger-">getBigInteger</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getBoolean-java.lang.String-">getBoolean</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getBoolean-java.lang.String-boolean-">getBoolean</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getBoolean-java.lang.String-java.lang.Boolean-">getBoolean</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getByte-java.lang.String-">getByte</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getByte-java.lang.String-byte-">getByte</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getByte-java.lang.String-java.lang.Byte-">getByte</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getCollection-java.lang.Class-java.lang.String-java.util.Collection-">getCollection</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getCollection-java.lang.Class-java.lang.String-java.util.Collection-java.util.Collection-">getCollection</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getDouble-java.lang.String-">getDouble</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getDouble-java.lang.String-double-">getDouble</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getDouble-java.lang.String-java.lang.Double-">getDouble</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getEncodedString-java.lang.String-">getEncodedString</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getEncodedString-java.lang.String-org.apache.commons.configuration2.ConfigurationDecoder-">getEncodedString</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getFloat-java.lang.String-">getFloat</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getFloat-java.lang.String-float-">getFloat</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getFloat-java.lang.String-java.lang.Float-">getFloat</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getInt-java.lang.String-">getInt</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getInt-java.lang.String-int-">getInt</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getInteger-java.lang.String-java.lang.Integer-">getInteger</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getKeys--">getKeys</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getKeys-java.lang.String-">getKeys</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getList-java.lang.Class-java.lang.String-">getList</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getList-java.lang.Class-java.lang.String-java.util.List-">getList</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getList-java.lang.String-">getList</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getList-java.lang.String-java.util.List-">getList</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getLong-java.lang.String-">getLong</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getLong-java.lang.String-long-">getLong</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getLong-java.lang.String-java.lang.Long-">getLong</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getProperties-java.lang.String-">getProperties</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getProperty-java.lang.String-">getProperty</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getShort-java.lang.String-">getShort</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getShort-java.lang.String-short-">getShort</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getShort-java.lang.String-java.lang.Short-">getShort</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getString-java.lang.String-">getString</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getString-java.lang.String-java.lang.String-">getString</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#getStringArray-java.lang.String-">getStringArray</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#immutableSubset-java.lang.String-">immutableSubset</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#isEmpty--">isEmpty</a>, <a href="../../../../../org/apache/commons/configuration2/ImmutableConfiguration.html#size--">size</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.sync.SynchronizerSupport">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.apache.commons.configuration2.sync.<a href="../../../../../org/apache/commons/configuration2/sync/SynchronizerSupport.html" title="interface in org.apache.commons.configuration2.sync">SynchronizerSupport</a></h3>
<code><a href="../../../../../org/apache/commons/configuration2/sync/SynchronizerSupport.html#getSynchronizer--">getSynchronizer</a>, <a href="../../../../../org/apache/commons/configuration2/sync/SynchronizerSupport.html#lock-org.apache.commons.configuration2.sync.LockMode-">lock</a>, <a href="../../../../../org/apache/commons/configuration2/sync/SynchronizerSupport.html#setSynchronizer-org.apache.commons.configuration2.sync.Synchronizer-">setSynchronizer</a>, <a href="../../../../../org/apache/commons/configuration2/sync/SynchronizerSupport.html#unlock-org.apache.commons.configuration2.sync.LockMode-">unlock</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PropertyListConfiguration--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PropertyListConfiguration</h4>
<pre>public&nbsp;PropertyListConfiguration()</pre>
<div class="block">Creates an empty PropertyListConfiguration object which can be
 used to synthesize a new plist file by adding values and
 then saving().</div>
</li>
</ul>
<a name="PropertyListConfiguration-org.apache.commons.configuration2.HierarchicalConfiguration-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PropertyListConfiguration</h4>
<pre>public&nbsp;PropertyListConfiguration(<a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&nbsp;c)</pre>
<div class="block">Creates a new instance of <code>PropertyListConfiguration</code> and
 copies the content of the specified configuration into this object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>c</code> - the configuration to copy</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.4</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setPropertyInternal-java.lang.String-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPropertyInternal</h4>
<pre>protected&nbsp;void&nbsp;setPropertyInternal(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
                                   <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#setPropertyInternal-java.lang.String-java.lang.Object-">AbstractHierarchicalConfiguration</a></code></span></div>
<div class="block">Sets the value of the specified property.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#setPropertyInternal-java.lang.String-java.lang.Object-">setPropertyInternal</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html" title="class in org.apache.commons.configuration2">AbstractHierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key of the property to set</dd>
<dd><code>value</code> - the new value of this property</dd>
</dl>
</li>
</ul>
<a name="addPropertyInternal-java.lang.String-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addPropertyInternal</h4>
<pre>protected&nbsp;void&nbsp;addPropertyInternal(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
                                   <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#addPropertyInternal-java.lang.String-java.lang.Object-">AbstractHierarchicalConfiguration</a></code></span></div>
<div class="block">Adds the property with the specified key. This task will be delegated to
 the associated <code>ExpressionEngine</code>, so the passed in key
 must match the requirements of this implementation.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#addPropertyInternal-java.lang.String-java.lang.Object-">addPropertyInternal</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html" title="class in org.apache.commons.configuration2">AbstractHierarchicalConfiguration</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key of the new property</dd>
<dd><code>value</code> - the value of the new property</dd>
</dl>
</li>
</ul>
<a name="read-java.io.Reader-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>read</h4>
<pre>public&nbsp;void&nbsp;read(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;in)
          throws <a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/io/FileBased.html#read-java.io.Reader-">FileBased</a></code></span></div>
<div class="block">Reads the content of this object from the given reader.
 <strong>Client code should not call this method directly, but use a
 <code>FileHandler</code> for reading data.</strong></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/io/FileBased.html#read-java.io.Reader-">read</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/io/FileBased.html" title="interface in org.apache.commons.configuration2.io">FileBased</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>in</code> - the reader</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if a non-I/O related problem occurs, e.g.
         the data read does not have the expected format</dd>
</dl>
</li>
</ul>
<a name="write-java.io.Writer-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>write</h4>
<pre>public&nbsp;void&nbsp;write(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Writer.html?is-external=true" title="class or interface in java.io">Writer</a>&nbsp;out)
           throws <a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/io/FileBased.html#write-java.io.Writer-">FileBased</a></code></span></div>
<div class="block">Writes the content of this object to the given writer.
 <strong>Client code should not call this method directly, but use a
 <code>FileHandler</code> for writing data.</strong></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/io/FileBased.html#write-java.io.Writer-">write</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/io/FileBased.html" title="interface in org.apache.commons.configuration2.io">FileBased</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>out</code> - the writer</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if a non-I/O related problem occurs, e.g.
         the data read does not have the expected format</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PropertyListConfiguration.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/plist/ParseException.html" title="class in org.apache.commons.configuration2.plist"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/plist/PropertyListParserConstants.html" title="interface in org.apache.commons.configuration2.plist"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/plist/PropertyListConfiguration.html" target="_top">Frames</a></li>
<li><a href="PropertyListConfiguration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.apache.commons.configuration2.BaseHierarchicalConfiguration">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
